## Class TPagedListFetchDataEventParameter

Description

TPagedListFetchDataEventParameter class.

TPagedListFetchDataEventParameter is used as the parameter for TPagedList::onFetchData event. To obtain the new page index, use NewPageIndex. The Offset property refers to the index of the first item in the new page, while Limit specifies how many items are requested for the page. Newly fetched data should be saved in Data property.

- since: 3.0
- version: $Id: TPagedList.php 1980 2007-05-30 23:27:00Z knut $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TPagedList.php (line 417)

    TComponent
       |
       --TEventParameter
          |
          --TPagedListFetchDataEventParameter

Method Summary
TPagedListFetchDataEventParameter __construct (integer $pageIndex, integer $offset, integer $limit)
mixed getData ()
integer getLimit ()
integer getNewPageIndex ()
integer getOffset ()
void setData (mixed $value)
Methods
Constructor __construct (line 430)

Constructor.

- access: public

TPagedListFetchDataEventParameter __construct (integer $pageIndex, integer $offset, integer $limit)

- integer $pageIndex: new page index
- integer $offset: offset of the first item in the new page
- integer $limit: number of items in the new page desired

getData (line 464)

- return: new page data
- access: public

mixed getData ()
getLimit (line 456)

- return: number of items in the new page
- access: public

integer getLimit ()
getNewPageIndex (line 440)

- return: the zero-based index of the new page
- access: public

integer getNewPageIndex ()
getOffset (line 448)

- return: offset of the first item in the new page
- access: public

integer getOffset ()
setData (line 472)

- access: public

void setData (mixed $value)

- mixed $value: new page data

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:47 -0400 by phpDocumentor 1.3.0RC4